libgimpprint API Reference: generic-options.c File Reference

Main Page | Modules | Alphabetical List | Data Structures | File List | Data Fields | Globals | Related Pages

# src/main/generic-options.c File Reference

`#include <gimp-print/gimp-print.h>`
`#include "gimp-print-internal.h"`
`#include <gimp-print/gimp-print-intl-internal.h>`
`#include "generic-options.h"`
`#include <string.h>`
`#include <limits.h>`

Go to the source code of this file.

## Functions
int | stpi_get_qualities_count (void)
const stpi_quality_t * | stpi_get_quality_by_index (int idx)
const stpi_quality_t * | stpi_get_quality_by_name (const char *quality)
int | stpi_get_image_types_count (void)
const stpi_image_type_t * | stpi_get_image_type_by_index (int idx)
const stpi_image_type_t * | stpi_get_image_type_by_name (const char *image_type)
int | stpi_get_job_modes_count (void)
const stpi_job_mode_t * | stpi_get_job_mode_by_index (int idx)
const stpi_job_mode_t * | stpi_get_job_mode_by_name (const char *job_mode)
stp_parameter_list_t | stp_list_generic_parameters (const stp_vars_t *v)
void | stpi_describe_generic_parameter (const stp_vars_t *v, const char *name, stp_parameter_t *description)
## Variables
const stpi_quality_t | standard_qualities []
const stpi_image_type_t | standard_image_types []
const stpi_job_mode_t | standard_job_modes []
const stp_parameter_t | the_parameters []
const int | the_parameter_count

## Function Documentation

stp_parameter_list_t stp_list_generic_parameters | ( | const stp_vars_t * | v | ) |

| Definition at line 181 of file generic-options.c. References stp_parameter_list_add_param(), stp_parameter_list_create(), stp_parameter_list_t, stp_vars_t, the_parameter_count, and the_parameters. Referenced by stp_get_parameter_list().

void stpi_describe_generic_parameter | ( | const stp_vars_t * | v,
|  | const char * | name,
|  | stp_parameter_t * | description
| ) |

| Definition at line 191 of file generic-options.c. References _, stp_parameter_t::bounds, stp_parameter_t::deflt, stpi_quality_t::name, stpi_image_type_t::name, stpi_job_mode_t::name, stp_parameter_t::p_type, stp_fill_parameter_settings(), STP_PARAMETER_TYPE_INVALID, stp_string_list_add_string(), stp_string_list_create(), stp_vars_t, stpi_get_image_type_by_index(), stpi_get_image_types_count(), stpi_get_job_mode_by_index(), stpi_get_job_modes_count(), stpi_get_qualities_count(), stpi_get_quality_by_index(), stpi_quality_t::text, stpi_image_type_t::text, stpi_job_mode_t::text, the_parameter_count, and the_parameters. Referenced by stp_describe_parameter().

const stpi_image_type_t* stpi_get_image_type_by_index | ( | int | idx | ) |

| Definition at line 127 of file generic-options.c. References standard_image_types, and stpi_get_image_types_count(). Referenced by stpi_describe_generic_parameter(), and stpi_get_image_type_by_name().

const stpi_image_type_t* stpi_get_image_type_by_name | ( | const char * | image_type | ) |

| Definition at line 136 of file generic-options.c. References stpi_image_type_t::name, stpi_get_image_type_by_index(), and stpi_get_image_types_count().

int stpi_get_image_types_count | ( | void |  | ) |

| Definition at line 121 of file generic-options.c. References standard_image_types. Referenced by stpi_describe_generic_parameter(), stpi_get_image_type_by_index(), and stpi_get_image_type_by_name().

const stpi_job_mode_t* stpi_get_job_mode_by_index | ( | int | idx | ) |

| Definition at line 157 of file generic-options.c. References standard_job_modes, and stpi_get_job_modes_count(). Referenced by stpi_describe_generic_parameter(), and stpi_get_job_mode_by_name().

const stpi_job_mode_t* stpi_get_job_mode_by_name | ( | const char * | job_mode | ) |

| Definition at line 166 of file generic-options.c. References stpi_job_mode_t::name, stpi_get_job_mode_by_index(), and stpi_get_job_modes_count().

int stpi_get_job_modes_count | ( | void |  | ) |

| Definition at line 151 of file generic-options.c. References standard_job_modes. Referenced by stpi_describe_generic_parameter(), stpi_get_job_mode_by_index(), and stpi_get_job_mode_by_name().

int stpi_get_qualities_count | ( | void |  | ) |

| Definition at line 91 of file generic-options.c. References standard_qualities. Referenced by stpi_describe_generic_parameter(), stpi_get_quality_by_index(), and stpi_get_quality_by_name().

const stpi_quality_t* stpi_get_quality_by_index | ( | int | idx | ) |

| Definition at line 97 of file generic-options.c. References standard_qualities, and stpi_get_qualities_count(). Referenced by stpi_describe_generic_parameter(), and stpi_get_quality_by_name().

const stpi_quality_t* stpi_get_quality_by_name | ( | const char * | quality | ) |

| Definition at line 106 of file generic-options.c. References stpi_quality_t::name, stpi_get_qualities_count(), and stpi_get_quality_by_index(). Referenced by stp_dither_describe_parameter(), and stpi_set_dither_function().

## Variable Documentation

const stpi_image_type_t standard_image_types[]`[static]`

| Initial value:
    {
      { "Text",         N_("Text") },
      { "Graphics",     N_("Graphics") },
      { "TextGraphics", N_("Mixed Text and Graphics") },
      { "Photo",        N_("Photograph") },
      { "LineArt",      N_("Line Art") },
    }
Definition at line 44 of file generic-options.c. Referenced by stpi_get_image_type_by_index(), and stpi_get_image_types_count().

const stpi_job_mode_t standard_job_modes[]`[static]`

| Initial value:
    {
      { "Page",         N_("Page") },
      { "Job",          N_("Job") },
    }
Definition at line 53 of file generic-options.c. Referenced by stpi_get_job_mode_by_index(), and stpi_get_job_modes_count().

const stpi_quality_t standard_qualities[]`[static]`

| Initial value:
    {
      { "FastEconomy", N_("Fast Economy"), 0 },
      { "Economy",     N_("Economy"),      1 },
      { "Draft",       N_("Draft"),        3 },
      { "Standard",    N_("Standard"),     5 },
      { "High",        N_("High"),         6 },
      { "Photo",       N_("Photo"),        7 },
      { "HighPhoto",   N_("Super Photo"),  8 },
      { "UltraPhoto",  N_("Ultra Photo"),  9 },
      { "Best",        N_("Best"),        10 },
    }
Definition at line 31 of file generic-options.c. Referenced by stpi_get_qualities_count(), and stpi_get_quality_by_index().

const int the_parameter_count`[static]`

| Initial value:
    sizeof(the_parameters) / sizeof(const stp_parameter_t)
Definition at line 87 of file generic-options.c. Referenced by stp_list_generic_parameters(), and stpi_describe_generic_parameter().

const stp_parameter_t the_parameters[]`[static]`

| Initial value:
    {
      {
        "Quality", N_("Print Quality"), N_("Basic Output Adjustment"),
        N_("Print Quality"),
        STP_PARAMETER_TYPE_STRING_LIST, STP_PARAMETER_CLASS_FEATURE,
        STP_PARAMETER_LEVEL_BASIC, 1, 1, -1, 0, 0
      },
      {
        "ImageType", N_("Image Type"), N_("Basic Image Adjustment"),
        N_("Type of image being printed"),
        STP_PARAMETER_TYPE_STRING_LIST, STP_PARAMETER_CLASS_OUTPUT,
        STP_PARAMETER_LEVEL_BASIC, 1, 1, -1, 0, 0
      },
      {
        "JobMode", N_("Job Mode"), N_("Job Mode"),
        N_("Job vs. page mode"),
        STP_PARAMETER_TYPE_STRING_LIST, STP_PARAMETER_CLASS_CORE,
        STP_PARAMETER_LEVEL_BASIC, 1, 1, -1, 0, 0
      },
      {
        "PageNumber", N_("Page Number"), N_("Job Mode"),
        N_("Page number"),
        STP_PARAMETER_TYPE_INT, STP_PARAMETER_CLASS_CORE,
        STP_PARAMETER_LEVEL_BASIC, 0, 1, -1, 1, 0
      },
    }
Definition at line 59 of file generic-options.c. Referenced by stp_list_generic_parameters(), and stpi_describe_generic_parameter().